package com.bonus.sgzb.app.service;

import com.bonus.sgzb.app.domain.AppVersion;
import com.bonus.sgzb.app.domain.CriticalData;
import com.bonus.sgzb.app.domain.ToDoList;

import java.util.List;

/**
 * @author c liu
 * @date 2023/12/11
 */
public interface AppService {

    /**
     * 查询关键数据
     * @return
     */
    CriticalData getCriticalData();

    /**
     * 查询待办事项
     * @return
     */
    ToDoList getToDoList();

    /**
    * 获取app版本信息
    * @param
    * @return List<AppVersion>
    */
    List<AppVersion> getVersion();
}
